PostgreSQL 8.0.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER CONVERSION

## Name

ALTER CONVERSION -- change the definition of a conversion

## Synopsis

    ALTER CONVERSION name RENAME TO newname
    ALTER CONVERSION name OWNER TO newowner

## Description

`ALTER CONVERSION` changes the definition of a conversion.

## Parameters

`name`

  The name (optionally schema-qualified) of an existing conversion.

`newname`

  The new name of the conversion.

`newowner`

  The new owner of the conversion. To change the owner of a conversion, you must be a superuser.

## Examples

To rename the conversion `iso_8859_1_to_utf_8` to `latin1_to_unicode`:

    ALTER CONVERSION iso_8859_1_to_utf_8 RENAME TO latin1_to_unicode;

To change the owner of the conversion `iso_8859_1_to_utf_8` to `joe`:

    ALTER CONVERSION iso_8859_1_to_utf_8 OWNER TO joe;

## Compatibility

There is no `ALTER CONVERSION` statement in the SQL standard.

## See Also

CREATE CONVERSION, DROP CONVERSION

Prev | Home | Next
ALTER AGGREGATE | Up | ALTER DATABASE